Zoeken in Support

Vermijd ondersteuningsscams. We zullen u nooit vragen een telefoonnummer te bellen, er een sms naar te sturen of persoonlijke gegevens te delen. Meld verdachte activiteit met de optie ‘Misbruik melden’.

Learn More

Deze conversatie is gearchiveerd. Stel een nieuwe vraag als u hulp nodig hebt.

Please support "Legacy" add-ons until and including Firefox 59

  • 3 antwoorden
  • 3 hebben dit probleem
  • 7 weergaven
  • Laatste antwoord van cor-el

more options

After reading your blog regarding Firefox support for "Legacy" add-ons: https://blog.mozilla.org/addons/2017/02/16/the-road-to-firefox-57-compatibility-milestones/

I would like to request to delay the removal "Legacy" add-on support until the release of Firefox 60. This allows users of existing "Legacy" add-ons to switch to Firefox ESR 59 and continue to have "Legacy" add-on support AND security updates for quite a bit longer.

I use the add-on Password Hasher (https://addons.mozilla.org/nl/firefox/addon/password-hasher/) to generate and enter all my internet passwords, and the ending of support for this add-on will be a major problem for me as I require this to login to all my website accounts. I also love to use the "Legacy" add-on Classic Theme Restorer (https://addons.mozilla.org/nl/firefox/addon/classicthemerestorer/) which is also endangered by the change.

Thank you for your consideration.

Alle antwoorden (3)

more options

Dude, you're singing to the choir here when it comes to "requests". Very few (or none) of the people who make such decisions ever grace us with their presence. You can let Mozilla your thoughts on any topic concerning Firefox via Help > Submit Feedback ...

IMO, as far as pushing back the "demise" of Legacy extensions to the next ESR release - it ain't gonna happen. That would commit Mozilla to (close to) another year of support for those extensions; something that they just don't want to do.

But there is going to be a version of "Nightly" that continues support for Legacy extensions, but I don't recall the details.

more options

Thanks. I also submitted the feedback form.

more options

The current Nightly build disables Legacy extensions by default and has a pref named extensions.allow-non-mpc-extensions , but I have no idea how long this will last.

  • Bug 1352204 - Only allow webextension and MPC=true (which=no shims) add-ons on Nightly

Please do not comment in bug reports
https://bugzilla.mozilla.org/page.cgi?id=etiquette.html